<h1>Student List</h1>

<div (click)="downloadStudentList()" class="download-wrapper" *ngIf="studentData?.length > 0">
    <span (click)="goToStudentProfilePage()">Student List</span>
    <mat-icon>download</mat-icon>
</div>

<mat-table [dataSource]="studentData">
    <ng-container matColumnDef="name">
        <mat-header-cell *matHeaderCellDef> Name </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{row.name}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="age">
        <mat-header-cell *matHeaderCellDef> Age </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{row.age}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="gender">
        <mat-header-cell *matHeaderCellDef> Gender </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{row.gender}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="department">
        <mat-header-cell *matHeaderCellDef> Department </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{row.department}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="phoneNumber">
        <mat-header-cell *matHeaderCellDef> Phone Number </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{row.phoneNumber}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="email">
        <mat-header-cell *matHeaderCellDef> Email </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{row.email}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="actions">
        <mat-header-cell *matHeaderCellDef> Action </mat-header-cell>

        <mat-cell *matCellDef="let row;">
            <button mat-icon-button color="primary" (click)="goToStudentProfilePage(row)">
                <mat-icon>edit</mat-icon>
            </button>

            <button mat-icon-button color="warn" (click)="deleteStudent(row)">
                <mat-icon aria-label="Delete">delete</mat-icon>
            </button>
        </mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="['name', 'age', 'gender', 'department', 'phoneNumber', 'email', 'actions']">
    </mat-header-row>
    <mat-row *matRowDef="let row; columns: ['name', 'age', 'gender', 'department', 'phoneNumber', 'email', 'actions']">
    </mat-row>
</mat-table>